Extending Qt Creator Manual | MimeAllGlobPatterns

Extending Qt Creator Manual 4.7.1

# MimeAllGlobPatterns Class

(Utils::Internal::MimeAllGlobPatterns)

- List of all members, including inherited members

## Public Types

typedef | PatternsMap

## Public Functions

void | addGlob(const Utils::Internal::MimeGlobPattern &glob)
void | clear()
int | matchingGlobs(const int &, int *) const
void | removeMimeType(const int &mimeType)

## Member Type Documentation

### typedef MimeAllGlobPatterns::PatternsMap

## Member Function Documentation

### void MimeAllGlobPatterns::addGlob(const Utils::Internal::MimeGlobPattern &glob)

### void MimeAllGlobPatterns::clear()

### int MimeAllGlobPatterns::matchingGlobs(const int &, int *) const

### void MimeAllGlobPatterns::removeMimeType(const int &mimeType)